Subject: [TOOLS-DEVELOPMENT] Tools Call Notes -- 12 November 2019

From: Cindy Morgan <[email-masked]>
Date: Tue, 12 Nov 2019 11:08:39 -0800

Hi everyone,

Below please find notes from today's Tools call.

Best regards,
Cindy

--

Tools Call Notes -- 12 November 2019 at 1:00 Eastern

0. Attendance

- Glen Barney
- Alissa Cooper
- Jay Daley
- Roman Danyliw
- Russ Housley
- Henrik Levkowetz
- Cindy Morgan
- Alexa Morris
- Alice Russo
- Robert Sparks
- Portia Wenze-Danley
- Eric Vyncke

1. Datatracker Projects
  - Expected Datatracker Releases -- Robert and Henrik
    -- https://trac.tools.ietf.org/tools/ietfdb/browser/trunk/PLAN

Robert via email: The PLAN has been stable for a few weeks. We've issued 7nreleases since the last call, which is a higher rate than usual. These reflect feature requests, the review tool maintenance work, and bugfixes coming in.

Russ: Are we going to pause during the meeting?

Robert: I don't think so, but the releases will focus on the sprint work.

  - Meeting Application Improvements by IOLA -- Robert

Robert via email: Still not started, and communication has stopped. This has been escalated to Jay and Portia.

Robert: IOLA reached out to me, and they've started again. They are investigating the request we made to focus on the model changes, so that we have the pre-reqs out of the way to start the automatic scheduling project, so I expect to hear back in a couple of days whether they can get that part of the project in the next couple of weeks. Also expect to hear then if they still think they can finish the project this year.

Russ: I hope that's the case, or else January, otherwise we have a budget issue. If they don't think they can finish, we should get them to do some kind of a milestone so as much as possible gets invoiced this year.

  - Datatracker maintenance by DashCare -- Robert

Robert via email: This project continues to progress excellently.

Robert: You'll note that in the releases over the last 6 weeks, a large portion of the code has been from this project. It's now down to the really hard part, the issue with key rotation. Working out what the thing is supposed to be doing and Sasha is refactoring the code so we can see if it's doing what we want it to, and has started on the second review queuing policy.

Russ: I'm really pleased this is working out so well.

  - IRSG balloting by AKAYLA -- Robert

Robert via email: I have started an acceptance review for this project. I expect to complete it before the Singapore meeting starts.

Robert: I found one use case that wasn't well-implemented so he is working on this, and I still expect this to finish this week or early next.

Russ: That's good to hear.

  - Deployment of Python3 datatracker -- Robert
    -- Impacts on related applications

Robert via email: Currently gated two things: 1) We need to wrap Trac in a container that can run Python 2.7, since Trac won't become Python 3 ready until next year. This is the second item on the PLAN. 2) We want to coordinate this move with the upgrade the OS of the underlying machines. We will be meeting later to work out a plan.

Russ: We talked about this last month. The Datatracker code is running Python3 but there are other applications that can't, such as Trac, and so the plan was to put this into a container.

Robert: Containerizing Trac is the second bullet of the plan. It's going to be coming up very soon and we will coordinate that with when to deploy all of the Python3 applications. Planning to coordinate that with the update to the underlying OS to the machine. My best guess is that we'll try to get this done during the lull after the meeting.

Russ: Glen, does that work with your thoughts about the OS?

Glen: I think so, tentatively yes. Still some details to work out.

2. Community & Other Projects
  - WWW search to provide additional pointers -- Greg
    -- Give pointers to datatracker and mailarchive

Russ: Part of this was moved to the parking lot last time. Instead putting pointers in the Datatracker and the mailarchive. Greg had the lead here, but I don't see him on the call.

Robert: He is still planning to get to what he wants changed on the www site. I will make similar changes to the Datatracker and ask Ryan to for the mailarchive once we know what he's looking for.

Russ: Maybe we can shore that up during the code sprint.

  - Host third-party subresources on mailarchive -- Ryan

Russ: This is a privacy issue DKG raised.

Ryan via email: These changes are made in the Python 3 branch.

Robert: This will be deployed with the rest of the Python 3 work. 

3. RFC Services Projects
  - RPC use of new RFC format tools -- Heather and Henrik

Russ: RPC is using the new format tools. RFCs are being produced with them. I don't know if there is anything more to say. I know Henrik has been issuing updates for bugs as they find them.

Henrik: To a large extent it's adjustments and features and schema changes requested by the RPC. They are finding that they need mostly small adjustments to the rendering or the schema. It's gradually moved from the red ring issues for changes to schema features. So there's a change and a slowdown.

Alice: From a user perspective, it's not schema changes, but output not as expected. It's Henrik's discernment about whether that needs a schema change or not.

Russ: Glad to see we're converging and it's getting better.

Alice: Yes, we really appreciate all of the releases, Henrik.

  - Deploying in-line errata on rfc-editor.org? -- Alice

Russ: I think that happened.

Alice: There is some forward progress to get them hosted in a directory that's not the beta directory, and a plan for where the links should go.

Russ: My most recent rsync had all of the HTML files. 

  - Security Review of RPC Tools -- Robert and Heather

Robert via email: We had no acceptable bids to the RFP.

Robert: Unless we know that we can expand the scope of who is likely to reply, I don't think just reissuing the RFP will result in anything different. 

Russ: Can anyone here point us to people who might be interested in doing the work? If anyone has a friend or colleague, please send a pointer to me and Robert.

Jay: If you want the RFP reissued, I'm happy to do that. I may also be able to identify people. If anyone has other suggestions, maybe send them to me and and I'll manage the RFP.

Russ: That would be super. 

4. Server Infrastructure
  - Expected Website Releases -- Robert

Robert via email: We have a matomo instrumented version of the website under test. I don't expect major releases until well after the Singapore meeting. The next major release will involve removing much of the unused datatracker integration.

Robert: We have the analytics under test on the staging. What will have to happen before it goes into production, a bit of back end. There is a policy review that needs to take place and I don't know who owns it or declares it done.

Alissa: I think Greg and I can work on that together, and I think we can start it now based on the staging site. I'll talk to Greg about it in Singapore.

Robert; I'll leave the prototype site up and will do the work to deploy it after the policy review is complete.

Alissa: I don't think these need to be gating on each other. Maybe give us a couple of days to make sure we have the list.

Robert: I think that also resolves the thread Roman and I have been going back and forth on, the policy review will answer that question.

Alissa: The policy review is we decide what new data we have that we're requesting, and we have the counsel go over it to make sure we're still in compliance with any laws. I thought your thread with Roman was about what we wanted?

Roman: Right, there are the things we want counsel's help on, and the things we have to align with the needs of the user, and are we doing what we said we would do.

Russ: Does it do what we said it would do and no more?

Roman: From the comms I put on the list, I think there is some ambiguity between the raw data and the aggregate data. I think it would require another discussion with this community, but I think it's a bit of a judgement call. Does sanitizing the IP address change it. We defined raw data but not aggregate.

Robert: A bit to do with IP masking but also not being able tie the walkthrough that a particular user does to any particular user. Part of what we want is to be able to see how people use the site, what is the chain of pages. I don't think the community would be upset (as a whole) if we do that, but a few individuals might raise their eyebrows. But we can't track it back to any one user unless there's an edge case.

Roman: We learned a lot and we can crisply define what is raw data and what is aggregate data and go back with the feedback from the policy review. So I think when we do the policy review we assume clickstream data.

Alissa: I suggest since Greg isn't here we find some time on Saturday to talk about this together. 

Roman: Concur, we can do something Saturday afternoon. 

Russ: If we need to do another round with the community it would be good to prime that pump with some kind of a comment at plenary. 

Alissa: One more question. Originally Robert said that the next set of updates would be long after Singapore, but it sounds like this can be done whenever you've done your one more day of work?

Robert: Yes.

Alissa: Good. 

  - IESG discussions of DMARC -- Henrik and Alexey
    -- When do we expect the next release of OpenARC? Ever?

Henrik: They have done a release and they promise to have it packaged for our current OS in addition to getting it packaged for the upcoming OS. I haven't verified it, but if we want to deploy it, it's a beta release. If we want to deploy it, it should be possible. I don't think we want to touch it before the meeting. I think wait until the server upgrade is done and then start testing it on one or two lists.

Russ: My memory is we were told it was merged into master but not released? You're saying it was released as beta?

Henrik: Yes. But whether we want to go with that or wait for 1.0, I can't decide. But I think we want to wait until after the server upgrade.

Russ: So we are looking at later this year before we can even test it. It would be good to get off the bespoke code and onto somewhat-maintained open source code. 

Henrik: I still think it's better to use the proper solution rather than our work around, even if it serves our purpose for the moment. 

5. YANG Catalog
  - Putting yangcatalog.org in a Docker container -- Robert

Robert via email: I have a containerized instance of yangcatalog that starts (even if the start is very rough). It is not yet clear if it actually all _works_. Determining that will require some manual inspection / sanity testing, and I will need help from the yangcatalog enthusiasts (particularly Eric and Benoit), and Pantheon to complete that.

Robert: I expect this to pause until we get the 2020 contract in place. I do have a containerized version of the entire site, but it's not clear yet whether it works. Some of the things I'll ask for in 2020 is smoothing out the startup. We'll need work from the yangcatalog experts to check that the containerized version is doing what it supposed to be doing. 

Eric: Can we do it on Saturday in Singapore?

Robert: I can have the site up so that you can poke out it. I will not be in Singapore, so I'm out of phase, so there is time zone math needed for coordination.

Eric: So we can synchronize by email before.

Robert: I do plan to participate in the code sprint remotely, so we can at least have synchronous email. 

6. Parking Lot
  - Search over www, datatracker, and mailarchive
  - Transition Datatracker to Django2
  - Transition Website to Django2

7. AOB